package cn.com.qmth.stmms.biz.exam.bean;

import cn.com.qmth.stmms.biz.mark.model.MarkLibrary;
import cn.com.qmth.stmms.biz.mark.model.RejectHistory;
import cn.com.qmth.stmms.common.annotation.ExcelField;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class RejectHistoryVo {

    public static final String UN_SELECTIVE_SCORE = "-1";

    private String subjectCode;
    private String subjectName;

    @ExcelField(title = "科目", align = 2, sort = 10)
    @ApiModelProperty("科目")
    private String subjectText;

    private Integer groupNumber;

    private String groupName;

    @ExcelField(title = "分组", align = 2, sort = 20)
    @ApiModelProperty("分组")
    private String groupText;

    @ExcelField(title = "准考证号", align = 2, sort = 30)
    @ApiModelProperty("准考证号")
    private String examNumber;

    @ExcelField(title = "密号", align = 2, sort = 40)
    @ApiModelProperty("密号")
    private String secretNumber;

    @ExcelField(title = "打回原因", align = 2, sort = 50)
    @ApiModelProperty("打回原因")
    private String reason;

    @ExcelField(title = "评卷员", align = 2, sort = 60)
    @ApiModelProperty("评卷员")
    private String markerName;

    @ApiModelProperty("给分明细")
    @ExcelField(title = "给分明细", align = 2, sort = 70)
    private String scoreList;

    @ApiModelProperty("打回人")
    @ExcelField(title = "打回人", align = 2, sort = 80)
    private String headerName;

    @ApiModelProperty("打回时间")
    @ExcelField(title = "打回时间", align = 2, sort = 90)
    private Date rejectTime;

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectText() {
        return subjectText;
    }

    public void setSubjectText(String subjectText) {
        this.subjectText = subjectText;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupText() {
        return groupText;
    }

    public void setGroupText(String groupText) {
        this.groupText = groupText;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getSecretNumber() {
        return secretNumber;
    }

    public void setSecretNumber(String secretNumber) {
        this.secretNumber = secretNumber;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getMarkerName() {
        return markerName;
    }

    public void setMarkerName(String markerName) {
        this.markerName = markerName;
    }

    public String getScoreList() {
        return scoreList;
    }

    public void setScoreList(String scoreList) {
        this.scoreList = scoreList;
    }

    public String getHeaderName() {
        return headerName;
    }

    public void setHeaderName(String headerName) {
        this.headerName = headerName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Date getRejectTime() {
        return rejectTime;
    }

    public void setRejectTime(Date rejectTime) {
        this.rejectTime = rejectTime;
    }

    public static RejectHistoryVo of(RejectHistory from) {
        if (from == null) {
            return null;
        }
        RejectHistoryVo ret = new RejectHistoryVo();
        ret.setSubjectCode(from.getSubjectCode());
        ret.setGroupNumber(from.getGroupNumber());
        ret.setExamNumber(from.getExamNumber());
        ret.setSecretNumber(from.getSecretNumber());
        ret.setReason(from.getReason());
        if(from.getScoreList()!=null){
            ret.setScoreList(from.getScoreList().replace(UN_SELECTIVE_SCORE, "/"));
        }
        ret.setRejectTime(from.getCreateTime());
        return ret;
    }
}
