package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;

import cn.com.qmth.stmms.biz.exam.bean.ExamStudentVo;
import cn.com.qmth.stmms.biz.exam.model.ExamStudent;
import cn.com.qmth.stmms.biz.exam.query.InspectQuery;

public interface InspectedService {

    List<ExamStudentVo> findByQuery(InspectQuery query);

    Integer countByQuery(InspectQuery query);

    void releaseByUserId(Integer examId, String subjectCode, Integer userId);

    void releaseByStudent(ExamStudent student);

    /**
     * 申请领取某个任务
     */
    boolean applyStudent(ExamStudentVo student, Integer userId);

    /**
     * 是否已领取了某个任务
     */
    boolean hasApplied(ExamStudent student, Integer userId);

    /**
     * 复核
     */
    boolean inspect(ExamStudent student, Integer userId);

    /**
     * 取消复核
     *
     * @param studentId
     * @return
     */
    boolean cancelByStudent(Integer studentId);

    Integer needInspectCount(InspectQuery query);

    void fillInspectHistoryMap(List<ExamStudentVo> list, int maxInspectRound);

    boolean inspectFinish(Integer examId, String subjectCode, Integer inspectRound);

    void clearByStudent(Integer studentId);

    void cancelBySubject(Integer examId, String subjectCode);

}
