package cn.com.qmth.stmms.api.controller.admin;

import java.util.Arrays;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.qmth.boot.core.collection.PageResult;

import cn.com.qmth.stmms.api.controller.BaseApiController;
import cn.com.qmth.stmms.biz.exam.model.OperationLog;
import cn.com.qmth.stmms.biz.exam.query.OperationLogSearchQuery;
import cn.com.qmth.stmms.biz.exam.service.ExamService;
import cn.com.qmth.stmms.biz.exam.service.OperationLogService;
import cn.com.qmth.stmms.biz.utils.PageUtil;
import cn.com.qmth.stmms.common.domain.ApiUser;
import cn.com.qmth.stmms.common.enums.LogType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags = "操作日志")
@Controller("adminOperationLogController")
@RequestMapping("/api/admin/operation/log")
public class OperationLogController extends BaseApiController {

    protected static Logger log = LoggerFactory.getLogger(OperationLogController.class);

    @Autowired
    private OperationLogService logService;

    @ApiOperation(value = "日志列表")
    @RequestMapping(value = "query", method = RequestMethod.POST)
    @ResponseBody
    public PageResult<OperationLog> query(OperationLogSearchQuery query) {
        ApiUser user = getApiUser();
        int examId = getSessionExamId();
        query.setExamId(examId);
        query.setSchoolId(user.getUser().getSchoolId());
        query.orderByCreateTime();
        query = logService.findByQuery(query);
        return PageUtil.of(query);
    }

    @ApiOperation(value = "日志类型")
    @RequestMapping(value = "types", method = RequestMethod.POST)
    @ResponseBody
    public List<LogType> examTypeList() {
        return Arrays.asList(LogType.values());
    }

}
