package cn.com.qmth.stmms.api.controller.admin;

import java.util.Arrays;
import java.util.List;

import cn.com.qmth.stmms.biz.file.service.FileService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import net.sf.json.JSONObject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import cn.com.qmth.stmms.api.controller.BaseApiController;
import cn.com.qmth.stmms.common.enums.ExamType;

@Api(tags = "系统配置")
@Controller("sysController")
@RequestMapping("/api/sys")
public class SystemController extends BaseApiController {

    protected static final Logger log = LoggerFactory.getLogger(SystemController.class);

    @Autowired
    private FileService fileService;
    @ApiOperation(value = "系统版本及配置")
    @RequestMapping(value = "/version", method = RequestMethod.POST)
    @ResponseBody
    public JSONObject version() {
        JSONObject result  = new JSONObject();
        result.accumulate("fileServer", fileService.getFileServer());
        return result;
    }

}
